Get daily cost breakdown for an agent
curl --request GET \
--url https://api.devic.ai/v1/agents/agents/{agentId}/costs/daily \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devic.ai/v1/agents/agents/{agentId}/costs/daily"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devic.ai/v1/agents/agents/{agentId}/costs/daily', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"date": "2023-12-25",
"cost": 123,
"currency": "<string>"
}
]Agents
Get daily costs for an agent
Retrieves daily cost entries for the specified agent over a configurable time range.
GET
/
v1
/
agents
/
agents
/
{agentId}
/
costs
/
daily
Get daily cost breakdown for an agent
Authorizations
Use JWT token for authentication
Path Parameters
UUID of the agent whose daily costs should be retrieved
Query Parameters
Number of days to include in the cost breakdown
Required range:
1 <= x <= 365⌘I